import { AfterViewInit, ElementRef, Renderer2 } from '@angular/core';
import { KbqTab } from './tab.component';
import * as i0 from "@angular/core";
/**
 * Used in the `kbq-tab-group` view to display tab labels.
 * @docs-private
 */
export declare class KbqTabLabelWrapper implements AfterViewInit {
    elementRef: ElementRef<HTMLElement>;
    private renderer;
    labelContent: ElementRef;
    tab: KbqTab;
    get disabled(): boolean;
    set disabled(value: boolean);
    private _disabled;
    constructor(elementRef: ElementRef<HTMLElement>, renderer: Renderer2);
    ngAfterViewInit(): void;
    /** Sets focus on the wrapper element */
    focus(): void;
    getOffsetLeft(): number;
    getOffsetWidth(): number;
    checkOverflow(): void;
    isOverflown(): boolean;
    getInnerText(): any;
    private addClassModifierForIcons;
    static ɵfac: i0.ɵɵFactoryDeclaration<KbqTabLabelWrapper, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<KbqTabLabelWrapper, "[kbqTabLabelWrapper]", never, { "tab": { "alias": "tab"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, {}, ["labelContent"], never, false, never>;
    static ngAcceptInputType_disabled: unknown;
}
